## xphoon 20000613+0

=== debian/changelog ===
xphoon (20000613+0-10) unstable; urgency=high

  [ Janitor ]
  * Fix some issues reported by lintian

  [ Ricardo Mones ]
  * Refresh patches with quilt
  * Add patch to fix FTBFS with GCC 15 (Closes: #1098163)
  * Update Standards-Version to 4.7.2 with no other changes
  * Update copyright years range
  * Raise urgency because of RC bug

 -- Ricardo Mones <mones@debian.org>  Wed, 17 Sep 2025 00:23:47 +0200

xphoon (20000613+0-9) unstable; urgency=medium

  * Add patch to fix FTBFS on armhf (Closes: #1091287)
  * Update patch not to add trailing whitespace
  * Update Standards-Version with no other changes
  * Update protocol in Homepage URL

 -- Ricardo Mones <mones@debian.org>  Tue, 24 Dec 2024 18:49:31 +0100

xphoon (20000613+0-8) unstable; urgency=medium

  * Build-Depends: use debhelper-compat and raise level
  * Standards-Version: update to 4.5.1 with no other changes
  * Rules-Requires-Root: add field
  * Add Forwarded header to patches and fix some typos
  * Remove traling whitespace in changelog

 -- Ricardo Mones <mones@debian.org>  Sat, 09 Jan 2021 23:07:32 +0100

xphoon (20000613+0-7) unstable; urgency=medium

  * debian/patches/fix-time_t-args.patch
  * Fix previous patch by removing function declarations

 -- Ricardo Mones <mones@debian.org>  Thu, 10 Jan 2019 23:47:09 +0100

xphoon (20000613+0-6) unstable; urgency=medium

  * debian/patches/fix-time_t-args.patch
  - Add patch to fix FTBFS on x32 architecture
  * debian/control, debian/compat
  - Bump debhelper compat level to 12
  * debian/control
  - Update Standards-Version to 4.3.0
  * debian/watch
  - Update file format to version 4 and unmangle debian version
  * debian/copyright
  - Update years range

 -- Ricardo Mones <mones@debian.org>  Thu, 10 Jan 2019 19:15:21 +0100

xphoon (20000613+0-5) unstable; urgency=medium

  * debian/rules
  - Fix log scanner warning 'dpkg-buildflags-missing'
  * debian/control
  - Update Vcs-* to current infrastructure
  - Update Standards-Version to 4.2.1
  * debian/control, debian/compat
  - Bump debhelper compat level to 11
  - debian/control, debian/patches/support-xrandr.patch
  * Add patch to support XRandR by Vadim Vygonets

 -- Ricardo Mones <mones@debian.org>  Fri, 26 Oct 2018 00:35:01 +0200

xphoon (20000613+0-4) unstable; urgency=medium

  * debian/rules
  - Do not disable PIE (Closes: #865698)
  * debian/control, debian/compat
  - Raise compatibility level to 10
  - Standards-Version: update to 4.1.2 (no other changes)
  - Vcs-*: use https based URLs
  * debian/copyright
  - Update date range and use https URL in Format field

 -- Ricardo Mones <mones@debian.org>  Tue, 26 Dec 2017 23:00:08 +0100

xphoon (20000613+0-3) unstable; urgency=medium

  * debian/control, debian/rules, patches/link-with-ldflags.patch
  - Remove dependency on obsolete hardening-wrapper
  - Bump Standards-Version to 3.9.6 (no other changes)
  * debian/copyright
  - Rewrite in copyright format 1.0

 -- Ricardo Mones <mones@debian.org>  Tue, 30 Sep 2014 20:08:51 +0200

xphoon (20000613+0-2) unstable; urgency=low

  * debian/rules, debian/{install|dirs|docs|manpages}
  - Switch to debhelper sequencer
  - Enable hardening through hardening-wrapper
  * debian/control, debian/compat
  - Bump debhelper compat level to 9
  - Update Vcs-* headers to use the canonical hostname
  - Bump Standards-Version to 3.9.4 (no other changes)
  * debian/patches/{xbm-include|preprocessor-warnings
    |implicit-declaration}.patch
  - New patches to be able to build with hardening flags and
    to remove all preprocessor/compiler warnings
  * debian/watch
  - Added watch file just to keep lintian happy

 -- Ricardo Mones <mones@debian.org>  Thu, 19 Sep 2013 18:31:03 +0200

xphoon (20000613+0-1) unstable; urgency=low

  * Bumped version because of repackaging of orig.tar.gz tarball
    to remove included debian dir.
  * debian/source/format, debian/patches/*
  - Switch to dpkg-source 3.0 (quilt) format
  - Add patches to upstream contained in diff.gz in DEP3 format
  * debian/control
  - Update Standards-Version to 3.9.2 (no other changes required)
  - Development moved to git.debian.org: added Vcs-* headers
  - Update description to reflect program dynamic behaviour
  * debian/rules
  - Provide build-arch and build-indep targets (thanks lintian)

 -- Ricardo Mones <mones@debian.org>  Thu, 18 Aug 2011 11:15:09 +0200

xphoon (20000613-15) unstable; urgency=low

  * debian/control
  - Update Standards-Version to 3.8.3 (no other changes)
  - Added ${misc:Depends} to binary package

 -- Ricardo Mones <mones@debian.org>  Sat, 16 Jan 2010 01:04:42 +0100

xphoon (20000613-14) unstable; urgency=low

  * New maintainer (Closes: #435898)
  * debian/control
  - Changed maintainer address, bumped Standards-Version, added Homepage
  * debian/menu; debian/xphoon.files; debian/post*
  - Better title; removed trailing blank line; removed default scripts

 -- Ricardo Mones <mones@debian.org>  Fri, 17 Oct 2008 02:40:36 +0200

xphoon (20000613-13) unstable; urgency=low

  * QA upload.
  * Switch to debhelper 5.
  * Update build dependencies for X11R7.
    - Replace xutils with xutils-dev.
    - Remove x-dev.
  * debian/menu: Update section to Games/Toys.
  * debian/rules: Let dh_strip take care of stripping.  Closes: #438318.
  * debian/rules: Add support for DEB_BUILD_OPTIONS=noopt.
  * debian/rules: Don't ignore errors when cleaning.

 -- Matej Vela <vela@debian.org>  Sun, 26 Aug 2007 19:32:23 +0200

xphoon (20000613-12) unstable; urgency=low

  * orphan

 -- Junichi Uekawa <dancer@debian.org>  Sat, 04 Aug 2007 09:34:44 +0900

xphoon (20000613-11) unstable; urgency=low

  * dh_compat: 4
  * Standards-Version: 3.7.2
  * xphoon.man is section 6, reflect it to content.

 -- Junichi Uekawa <dancer@debian.org>  Sat, 12 Aug 2006 23:51:23 +0900

xphoon (20000613-10) unstable; urgency=low

  * Bug fix: "xphoon: FTBFS: build-depends on removed xlibs-dev"
    change to libxext-dev and libx11-dev
    (Closes: #346835).


