=== debian/control ===
Source: xphoon
Section: games
Priority: optional
Maintainer: Ricardo Mones <mones@debian.org>
Build-Depends: debhelper-compat (= 13), libxext-dev, libx11-dev, xutils-dev,
 libxrandr-dev
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://xphoon.sourceforge.net/
Vcs-Git: https://salsa.debian.org/debian/xphoon.git
Vcs-Browser: https://salsa.debian.org/debian/xphoon

Package: xphoon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: sets the root window to a picture of the moon
 xphoon sets the X root window to a picture of the moon in its current
 phase, including the partial lighting of the dark side by reflected
 earthlight. Picture is a monochrome dithered bitmap which is calculated
 via mathematical formulae. It keeps running on background updating the
 picture accordingly as time goes by.
