=== debian/watch ===
version=4
opts="dversionmangle=s/\+\d$//" \
http://sf.net/@PACKAGE@/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@ \
debian uupdate
